com.orsoncharts.data

## Interface KeyedValues<T>

- All Superinterfaces:
    Values<T>
  All Known Subinterfaces:
    PieDataset3D
  All Known Implementing Classes:
    DefaultKeyedValues, StandardPieDataset3D

      public interface KeyedValues<T>
      extends Values<T>

  A list of values that are associated with unique keys.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex(java.lang.Comparable<?> key)` Returns the index for the specified key, or `-1` if the key is not present in the list.
    `java.lang.Comparable<?>` | `getKey(int index)` Returns the key for the specified item in the list.
    `java.util.List<java.lang.Comparable<?>>` | `getKeys()` Returns a list of all the keys.
    `T` | `getValue(java.lang.Comparable<?> key)` Returns the value associated with the specified key, or `null`.

    - ### Methods inherited from interface com.orsoncharts.data.Values

      `getDoubleValue, getItemCount, getValue`

- - ### Method Detail

    - #### getKey

          java.lang.Comparable<?> getKey(int index)

      Returns the key for the specified item in the list.
      Parameters:
        `index` - the item index.
      Returns:
        The key.

    - #### getIndex

          int getIndex(java.lang.Comparable<?> key)

      Returns the index for the specified key, or `-1` if the key is not present in the list.
      Parameters:
        `key` - the key (`null` not permitted).
      Returns:
        The item index, or `-1`.

    - #### getKeys

          java.util.List<java.lang.Comparable<?>> getKeys()

      Returns a list of all the keys. Note that the list will be a copy, so modifying it will not impact this data structure.
      Returns:
        A list of keys (possibly empty, but never `null`).

    - #### getValue

          T getValue(java.lang.Comparable<?> key)

      Returns the value associated with the specified key, or `null`.
      Parameters:
        `key` - the key (`null` not permitted).
      Returns:
        The value (possibly `null`).